Debian Linux 8/9 的更新版本已经发布

Debian 项目宣布了 Debian 9(代号“stretch”)和 Debian 8(代号“jessie”)的更新版本。 只需运行 apt 命令/apt-get 命令即可获得新的更新。

从公告页面:

Debian 项目很高兴地宣布其稳定版的第三次更新
Debian 9 发行版(代号“stretch”)。 这点主要发布
添加了对安全问题的更正,以及一些调整
严重的问题。 安全公告已经发布
单独并在可用时引用。

请注意,该点发布不构成新版本
Debian 9 但只更新了一些包含的软件包。 没有
需要扔掉旧的“拉伸”媒体。 安装后,包可以
使用最新的 Debian 镜像升级到当前版本。

怎样应用更新?

在执行此操作之前进行备份。

找出您当前的 Debian Linux 版本

键入以下 lsb_release 命令:
$ lsb_release -a

No LSB modules are available.
Distributor ID:	Debian
Description:	Debian GNU/Linux 9.1 (stretch)
Release:	9.1
Codename:	stretch

更新您的仓库并获得 Debian 的更新版本

键入以下 apt 命令/apt-get 命令:
$ sudo apt-get update
$ sudo apt-get upgrade

或运行多个命令 sudo 如下:
$ sudo -- sh -c 'apt update && apt upgrade'

示例输出:

Get:2 https://security.debian.org stretch/updates InRelease [63.0 kB]
Ign:1 https://cdn-fastly.deb.debian.org/debian stretch InRelease
Get:3 https://cdn-fastly.deb.debian.org/debian stretch Release [118 kB]
Get:4 https://security.debian.org stretch/updates/main amd64 Packages [246 kB]
Get:5 https://cdn-fastly.deb.debian.org/debian stretch Release.gpg [2,434 B]
Get:6 https://security.debian.org stretch/updates/main Translation-en [105 kB]
Get:7 https://cdn-fastly.deb.debian.org/debian stretch/main amd64 Packages [7,123 kB]
Get:8 https://cdn-fastly.deb.debian.org/debian stretch/main Translation-en [5,393 kB]                                                                                                                                                         
Get:9 https://cdn-fastly.deb.debian.org/debian stretch/main amd64 Contents (deb) [31.4 MB]
...
.
         Fetched 45.4 MB in 59s (764 kB/s) 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
35 packages can be upgraded. Run 'apt list --upgradable' to see them.
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following NEW packages will be installed:
  linux-headers-4.9.0-4-amd64 linux-headers-4.9.0-4-common linux-image-4.9.0-4-amd64
The following packages will be upgraded:
  base-files curl dbus dbus-x11 iproute iproute2 libcurl3 libcurl3-gnutls libdbus-1-3 libdbus-1-dev libicu57 liblxc1 libpython2.7 libpython2.7-dev libpython2.7-minimal libpython2.7-stdlib libsqlite3-0 libxcursor1
  linux-compiler-gcc-6-x86 linux-headers-amd64 linux-image-amd64 linux-kbuild-4.9 linux-libc-dev lxc openssh-client openssh-server openssh-sftp-server publicsuffix python2.7 python2.7-dev python2.7-minimal python3-lxc syslinux
  syslinux-common tzdata
35 upgraded, 3 newly installed, 0 to remove and 0 not upgraded.
Need to get 96.9 MB of archives.
After this operation, 240 MB of additional disk space will be used.
Get:1 https://security.debian.org stretch/updates/main amd64 libxcursor1 amd64 1:1.1.14-1+deb9u1 [34.8 kB]
....
..
..
Setting up python2.7 (2.7.13-2+deb9u2) ...
Setting up linux-headers-4.9.0-4-amd64 (4.9.65-3) ...
Setting up linux-image-amd64 (4.9+80+deb9u2) ...
Setting up openssh-sftp-server (1:7.4p1-10+deb9u2) ...
Setting up libpython2.7:amd64 (2.7.13-2+deb9u2) ...
Setting up libpython2.7-dev:amd64 (2.7.13-2+deb9u2) ...
Setting up dbus (1.10.24-0+deb9u1) ...
Please reboot the system when convenient.
Setting up python2.7-dev (2.7.13-2+deb9u2) ...
Setting up linux-headers-amd64 (4.9+80+deb9u2) ...
Setting up dbus-x11 (1.10.24-0+deb9u1) ...
Setting up openssh-server (1:7.4p1-10+deb9u2) ...

重启盒子

需要重新启动以替换正在运行的服务/库和内核:
$ sudo reboot

确认

查找当前版本的 Debian Linux:
$ lsb_release -a

示例输出:

确保所有服务都在运行并且端口也已打开:

$ sudo netstat -tulpn
$ sudo ss -tulpn
$ ps aux | more
$ ps aux | grep -i mysqld
$ ps aux | grep -i nginx


还要检查您的日志文件是否有错误,如果有的话,请使用 tail 命令或 grep 命令:

$ sudo tail -f /var/log/messages
$ sudo tail -f /var/log/my/app.log
$ sudo grep -i error /var/log/messages

有关更多信息,请参阅:

相关阅读:

Posted in: LinuxTags: ,